s9_level_hints.levels["Level 10"] = function()
	return
	{
		miniscenes
		({
			level10_miniscene_bag01 = 
			{
				IF(state("Hand_bag04", "hand_bag04_02", "hand_bag04_03"), miniscene("Hand_bag04"))
			},
			level10_miniscene_glass_case = 
			{
				IF(state("Box01","box01_01"), click("Box01")),
				miniscene("Eyeglass_case")
			},
			level10_miniscene_bag02 = 
			{
				IF(state("Stairs", "stairs02"),
				{
					IF(state("Satchel","satchel01"), click("Satchel")),
					IF(state("Satchel","satchel02"), miniscene("Satchel"))
				})
			},
			level10_miniscene_bag03 =
			{
				miniscene("hand_bag03")
			},
			level10_miniscene_lamp = 
			{
				miniscene("Lamp")
			}
		}),
		
		-- починить игрушку ребенку
		take("Globule04"),
		take("Globule03"),
		on_scene("level10_miniscene_bag03", take("Globule01")),
		take("Globule02"),
		on_scene("level10_miniscene_lamp", take("Stud")),
		click("Stairs", "Stud"),
		take("Spanner"),
		IF(state("Stairs","stairs03"), click("Stairs", "Spanner")),
		IF(state("Stairs","stairs02"), take("Globule05")),
		IF(state_in_inv("Globule_inv", "globule_inv05"), click("Rattle", "Globule_inv")),
		
		-- починить радио
		take("Volume02"),
		click("Volume01", "Volume02"),
		IF({state("Panel","panel01"), state("Volume01" , "volume01_03")}, minigame("Panel")),
		IF(state("Panel","panel02"), minigame("Panel")),
		
		
		-- связать носок
		on_scene("level10_miniscene_glass_case", take("Spectacles")),
		take("Clew03"),
		take("Clew02"),
		on_scene("level10_miniscene_bag02", take("Clew01")),
		click("area_granny01", "Clew"),
		click("Hand_bag06", "Clew"),
		IF({NOT(state("Hand_bag06","hand_bag06_01")), state("Hand_bag04" , "hand_bag04_01")}, click("area_granny01", "Spectacles")),
		on_scene("level10_miniscene_bag01", take("Lens")),
		click("area_granny01", "Spectacles_inv"),
		
		-- запихать мужику кляп
		take("Sock"),
		click("area_man01", "Sock"),
		
		-- выключить свет
		IF({state("Man","man02"), state("Katyusha","katyusha04")}, click("switch01"))
	}	
end
